
QGIS Application - Bug report #15760

can't save colours in colour picker

2016-10-26 10:02 AM - Donovan Cameron

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23682

Description

I can't seem to get colours to save in the drag and drop boxes in colour chooser windows. Also tried to use the -> (right arrow button) to

assign the colour to a box.

When I close the window, and go to choose a saved colour and apply it to something those saved colour boxes are empty.

I've attached pictures to illustrate it.

I tried to save the colour and click OK to close the properties window then open it again but no dice.

Associated revisions

Revision 520b94e4 - 2016-10-28 03:14 AM - Nyall Dawson

Fix can't save custom colours in color picker (fix #15760)

Also fixes a memory leak caused by color picker widget not

being deleted

History

#1 - 2016-10-26 04:35 PM - Nyall Dawson

- Assignee set to Nyall Dawson

Confirmed

#2 - 2016-10-26 04:36 PM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

#3 - 2016-10-27 06:22 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"520b94e405512cdf3a3b1ffa9cd804402387332f".
